<template>

<div class=" px-0 mx-0">
<h3 class="pt-3 pb-3 bordobottom text-xs-center">{{ $t('il_processo_di_trasformaizone_title') }}</h3>
      <v-carousel height="430px" class="mt-3" light hide-controls interval="600000">
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('pastorizzazione_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <img class="img-carusel" fluid src='../assets/IMG/Pastorizzazione.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('pastorizzazione_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_pastorizzazione'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('cagliatura_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <img class="img-carusel" fluid src='../assets/IMG/Cagliatura.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('cagliatura_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_cagliatura'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('maturazione_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <img class="img-carusel" fluid src='../assets/IMG/Maturazione.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('maturazione_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_maturazione'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('test_di_filatura_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                    <img class="img-carusel" fluid src='../assets/IMG/Test_di_Filatura.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('filatura_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_filatura'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('formaturaerassodamento_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                    <img class="img-carusel" fluid src='../assets/IMG/Formaturaerassodamento.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('formaturaerassodamento_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_formaturaerassodamento'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        <v-carousel-item>
          <h3 class="header-carousel mt-2 mb-2">{{ $t('analisi_prodotto_finito_title') }}</h3>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
                  <img class="img-carusel" fluid src='../assets/IMG/analisi_prodotto_finito.png'/>
                </v-flex>
                <v-flex d-flex xs12 sm12 md12>
                  <span px-5 class="block-with-text">{{ $t('analisi_prodotto_finito_description') }}</span>
              </v-flex>
              </v-layout>
              <v-layout row wrap class="text-xs-center">
                <v-flex d-flex xs12 sm12 md12>
                  <router-link :to="{name:'trasformazione_analisiprodottofinito'}">
                    <button class="btn-dettagli">
                      {{ $t('scopri_di_piu') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
      </v-carousel>
</div>

</template>

<style>
.v-carousel {
  box-shadow: none;
  -webkit-box-shadow: none;
}
.v-carousel__controls{
  background: none;
}
.v-btn .v-btn__content .v-icon {
  color: #ffda00
}
.theme--light.v-btn{
  color: #000000;
}
.theme--light.v-btn.v-btn--active{
  opacity: 1 !important;
}
.theme--light.v-sheet{
    background-color: transparent;
    border-color: transparent;
    color: transparent;
}
.img-carusel{
  width: 100%;
  height: 100%;
  border-radius: 20px 20px 20px 20px;
  position: relative;
}
button.btn-dettagli{
  margin-top:10%;
}
.btn-dettagli {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
.v-carousel__controls__item {
    margin: 0 2px !important;
}
.header-carousel{
  text-align: center;
}
.bg-color{
  background-color: #ffffd7;
}

/* styles for '...' */ 
.block-with-text {
  /* hide text if it more than N lines  */
  overflow: hidden;
  /* for set '...' in absolute position */
  position: relative; 
  /* use this value to count block height */
  line-height: 1.2em;
  /* max-height = line-height (1.2) * lines max number (3) */
  max-height: 3.6em; 
  /* fix problem when last visible word doesn't adjoin right side  */
  text-align: justify;  
  /* place for '...' */
  margin-right: -1em;
  padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
  /* points in the end */
  content: '...';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of block */
  right: 0;
  bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
  /* points in the end */
  content: '';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of text */
  right: 0;
  /* set width and height */
  width: 1em;
  height: 1em;
  margin-top: 0.2em;
  /* bg color = bg color under block */
  background: white;
}

@media only screen and (min-width: 460px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightblue;*/
    height:500px!important;
  }
}
@media only screen and (min-width: 860px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightcoral;*/
    height:550px!important;
  }
}
</style>